// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file. JavaScript code in this file should be added after the last require_* statement.
//
// Read Sprockets README (https://github.com/rails/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require tether
//= require bootstrap
//= require jquery_ujs
//= require turbolinks
//= require cable
//= require settings/processing_items
//= require jquery-ui
//= require bootstrap-datepicker

$(document).on("focus", "[data-behaviour~='datepicker']", function(e){
    $(this).datepicker({"format": "yyyy-M-dd", "weekStart": 1, "autoclose": true});
	$('.dropdown-toggle').dropdown();	
});

function export_to(path)
{
	var form_params = $("#frm_report").serialize();
	window.location = path+"?"+ form_params;
}

/*
*	ToDo Move to here from pages
*
*



$(function(){
	$('#custom_excel').hide();
	
	$('#custom_excel').click(function(){
		var url = $('#custom_excel').attr('data-url');
		$('#frm_report').attr('action',url)
		$('#frm_report').submit();
		// window.location = url;
	});
	
	var item = $('#item').val();
	var payment_type = $('#payment_type');
	
	if(item == 'order'){
		$('#cashier').hide();
		$('#waiter').show();
		if(payment_type){
			$('#payment_type').hide();
		}		
	}
	else if(item == 'sale'){
		$('#waiter').hide();
		$('#cashier').show();
	}
	else{
		$('#waiter').hide();
		$('#cashier').show();		
		$("#item").val('sale');
	}
});

//Reset the form to pervious values
$("#branch").val(<%=params[:branch]%>);
$("#waiter").val("<%=params[:waiter]%>");
$("#cashier").val(<%=params[:cashier]%>);
$("#product").val(<%=params[:product]%>);
$("#singer").val(<%=params[:singer]%>);
$("#item").val('<%=params[:item]%>');
$("#guest_role").val('<%=params[:guest_role]%>');


$("#from").val("<%=params[:from]%>");
$("#to").val("<%=params[:to]%>");
$("#sel_period").val(<%=params[:period]%>);
$("#sel_sale_type").val(<%=params[:sale_type]%>);

<% if params[:period_type] == 1 || params[:period_type] == "1" %>
	$("#rd_period_type_1").attr("checked","checked");
<% else %>
	$("#rd_period_type_0").attr("checked","checked");
<% end %>
$(".btn-group button").removeClass("active");
<% report_type = params[:report_type].blank? ? "0" : params[:report_type] %>
$("#btn_report_type_<%= report_type %>").addClass("active");

$('#item').change(function(){
	var item = $('#item').val();
	var payment_type = $('#payment_type');

	if(item == 'sale'){
		$('#waiter').hide();
		$('#cashier').show();		
		if(payment_type){
			$('#payment_type').show();
		}
	}
	else{
		$('#cashier').hide();
		$('#waiter').show();
		if(payment_type){
			$('#payment_type').hide();
		}
	}
});

$(function(){
	var check_arr = [];   	
	var search = '<%= params[:period_type] %>';	
	if(search){
		if(parseInt(search) == 0){
			search_by_period();	
		}
		else{
			search_by_date();				
		}
	}else{
		search_by_period();		
	}
    $('#sel_period').change(function(){	   
	   search_by_period();	   
    });   
	function search_by_period(){
 	   var period = $('#sel_period').val();
 	   var period_type = 0;
 	   var from = "";
 	   var to = ""; 	
	}   
   
    $('#from').change(function(){
	   search_by_date();	   
    });
   
    $('#to').change(function(){
	   search_by_date();
    });      
    function search_by_date(){
	   var from = $('#from').val();
	   var to = $('#to').val();
	   var period = 0;
	   var period_type = 1;	   
	   if(to != '' && from != ''){
		   shift_name = from + ',' + to;
		   check_arr.push(to);		   
		   // console.log(check_arr.length)
		   if(check_arr.length == 1){ 		   			   	
		   }
		   if(check_arr.length == 3){
			   check_arr = [];
		   }
	   }	   
   }    
});
*/
